---
title: Performance.memory
slug: Web/API/Performance/memory
---
<p>{{APIRef}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>timingInfo</em> = <em>performance</em>.memory</pre>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt><code>jsHeapSizeLimit</code></dt>
 <dd>The maximum size of the heap, in bytes, that is available to the context.</dd>
 <dt><code>totalJSHeapSize</code></dt>
 <dd> The total allocated heap size, in bytes.</dd>
</dl>

<dl>
 <dt>usedJSHeapSize</dt>
 <dd>The currently active segment of JS heap, in bytes.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p>None.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Performance.memory")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Performance")}} interface it belongs to.</li>
</ul>
